<?php
/**
 * API Routes for the Smart eGift Card plugin.
 *
 * @package SGC\eGiftCard
 */

use SGC\eGiftCard\Http\Router\Router;

// Prevent direct access to the file.
defined('ABSPATH') || exit;

//Route for customizer for user
Router::get('general-settings', 'SettingsController@index');
Router::get('general-settings/{uniqueOrderId}', 'SettingsController@index');
Router::get('get-all-design', 'SettingsController@design_list');
//Route to add to cart and update cart.
Router::post('add-to-cart', 'CartController@add');
Router::post('update-cart', 'CartController@update');

//Admin Features 
Router::get('admin-settings', 'AdminController@general_settings');
Router::get('get-advance-settings', 'AdminController@get_advance_settings');
Router::post('update-settings', 'AdminController@update_settings');
Router::post('update-advance-settings', 'AdminController@update_advance_settings');
Router::post('update-design-settings', 'AdminController@update_design_settings');
Router::get('gift-code-list', 'AdminController@index');
//Route to list event designs
Router::get('get-event-info', 'EventDesignController@index');
Router::post('add-event-info', 'EventDesignController@add_event_info');
Router::post('update-event-info', 'EventDesignController@update_event_info');
Router::post('delete-event', 'EventDesignController@delete_event');

